/* 组织机构通用接口 */
import request from '@/utils/request'

export function getDeptPage(params) { // 获取组织机构（数组）
  return request({
    url: '/sys/dept/page',
    method: 'GET',
    params
  })
}

export function getDeptTree(params) { // 获取组织机构（树）
  return request({
    url: '/sys/dept/tree',
    method: 'GET',
    params
  })
}

export function addDept(data) {
  return request({
    url: '/sys/dept',
    method: 'POST',
    data
  })
}

export function deleteDept(id) {
  return request({
    url: `/sys/dept/${id}`,
    method: 'DELETE'
  })
}

export function updateDept(data) {
  return request({
    url: `/sys/dept`,
    method: 'PUT',
    data
  })
}
